Package org.apache.sling.cms.insights

## Interface InsightFactory

    public interface InsightFactory

Service Factory for retrieving insight instances.

### Method Summary

All Methods Instance Methods Abstract Methods
`List<Insight>` `getInsights​(File file)` Get the insights which are enabled for a particular file.
`List<Insight>` `getInsights​(Page page)` Get the insights which are enabled for a particular page.

### Method Detail

#### getInsights

    List<Insight> getInsights​(File file)

Get the insights which are enabled for a particular file.

Parameters:
  `file` - the file for which to retrieve the insights
Returns:
  the insights

#### getInsights

    List<Insight> getInsights​(Page page)

Get the insights which are enabled for a particular page.

Parameters:
  `page` - the page for which to retrieve the insights
Returns:
  the insights